## org.eclipse.ocl.utilities
Interface UtilitiesPackage.Literals

Enclosing interface:
  UtilitiesPackage

    public static interface UtilitiesPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `AST_NODE` The meta object literal for the '`AST Node`' class
`static EAttribute` `AST_NODE__END_POSITION` The meta object literal for the 'End Position' attribute feature
`static EAttribute` `AST_NODE__START_POSITION` The meta object literal for the 'Start Position' attribute feature
`static EClass` `CALLING_AST_NODE` The meta object literal for the '`Calling AST Node`' class
`static EAttribute` `CALLING_AST_NODE__PROPERTY_END_POSITION` The meta object literal for the 'Property End Position' attribute feature
`static EAttribute` `CALLING_AST_NODE__PROPERTY_START_POSITION` The meta object literal for the 'Property Start Position' attribute feature
`static EClass` `EXPRESSION_IN_OCL` The meta object literal for the '`Expression In OCL`' class
`static EReference` `EXPRESSION_IN_OCL__BODY_EXPRESSION` The meta object literal for the 'Body Expression' containment reference feature
`static EReference` `EXPRESSION_IN_OCL__CONTEXT_VARIABLE` The meta object literal for the 'Context Variable' containment reference feature
`static EReference` `EXPRESSION_IN_OCL__PARAMETER_VARIABLE` The meta object literal for the 'Parameter Variable' containment reference list feature
`static EReference` `EXPRESSION_IN_OCL__RESULT_VARIABLE` The meta object literal for the 'Result Variable' containment reference feature
`static EClass` `PREDEFINED_TYPE` The meta object literal for the '`Predefined Type`' class
`static EClass` `TYPED_AST_NODE` The meta object literal for the '`Typed AST Node`' class
`static EAttribute` `TYPED_AST_NODE__TYPE_END_POSITION` The meta object literal for the 'Type End Position' attribute feature
`static EAttribute` `TYPED_AST_NODE__TYPE_START_POSITION` The meta object literal for the 'Type Start Position' attribute feature
`static EClass` `TYPED_ELEMENT` The meta object literal for the '`Typed Element`' class
`static EClass` `VISITABLE` The meta object literal for the '`Visitable`' class
`static EClass` `VISITOR` The meta object literal for the '`Visitor`' class

Field Detail

### AST_NODE

    static final EClass AST_NODE

  The meta object literal for the '`AST Node`' class.

  See Also:
    `ASTNode`, `UtilitiesPackageImpl.getASTNode()`

### AST_NODE__START_POSITION

    static final EAttribute AST_NODE__START_POSITION

  The meta object literal for the 'Start Position' attribute feature.

### AST_NODE__END_POSITION

    static final EAttribute AST_NODE__END_POSITION

  The meta object literal for the 'End Position' attribute feature.

### CALLING_AST_NODE

    static final EClass CALLING_AST_NODE

  The meta object literal for the '`Calling AST Node`' class.

  See Also:
    `CallingASTNode`, `UtilitiesPackageImpl.getCallingASTNode()`

### CALLING_AST_NODE__PROPERTY_START_POSITION

    static final EAttribute CALLING_AST_NODE__PROPERTY_START_POSITION

  The meta object literal for the 'Property Start Position' attribute feature.

### CALLING_AST_NODE__PROPERTY_END_POSITION

    static final EAttribute CALLING_AST_NODE__PROPERTY_END_POSITION

  The meta object literal for the 'Property End Position' attribute feature.

### PREDEFINED_TYPE

    static final EClass PREDEFINED_TYPE

  The meta object literal for the '`Predefined Type`' class.

  See Also:
    `PredefinedType`, `UtilitiesPackageImpl.getPredefinedType()`

### TYPED_AST_NODE

    static final EClass TYPED_AST_NODE

  The meta object literal for the '`Typed AST Node`' class.

  See Also:
    `TypedASTNode`, `UtilitiesPackageImpl.getTypedASTNode()`

### TYPED_AST_NODE__TYPE_START_POSITION

    static final EAttribute TYPED_AST_NODE__TYPE_START_POSITION

  The meta object literal for the 'Type Start Position' attribute feature.

### TYPED_AST_NODE__TYPE_END_POSITION

    static final EAttribute TYPED_AST_NODE__TYPE_END_POSITION

  The meta object literal for the 'Type End Position' attribute feature.

### VISITABLE

    static final EClass VISITABLE

  The meta object literal for the '`Visitable`' class.

  See Also:
    `Visitable`, `UtilitiesPackageImpl.getVisitable()`

### TYPED_ELEMENT

    static final EClass TYPED_ELEMENT

  The meta object literal for the '`Typed Element`' class.

  See Also:
    `TypedElement`, `UtilitiesPackageImpl.getTypedElement()`

### VISITOR

    static final EClass VISITOR

  The meta object literal for the '`Visitor`' class.

  See Also:
    `Visitor`, `UtilitiesPackageImpl.getVisitor()`

### EXPRESSION_IN_OCL

    static final EClass EXPRESSION_IN_OCL

  The meta object literal for the '`Expression In OCL`' class.

  See Also:
    `ExpressionInOCL`, `UtilitiesPackageImpl.getExpressionInOCL()`

### EXPRESSION_IN_OCL__BODY_EXPRESSION

    static final EReference EXPRESSION_IN_OCL__BODY_EXPRESSION

  The meta object literal for the 'Body Expression' containment reference feature.

### EXPRESSION_IN_OCL__CONTEXT_VARIABLE

    static final EReference EXPRESSION_IN_OCL__CONTEXT_VARIABLE

  The meta object literal for the 'Context Variable' containment reference feature.

### EXPRESSION_IN_OCL__RESULT_VARIABLE

    static final EReference EXPRESSION_IN_OCL__RESULT_VARIABLE

  The meta object literal for the 'Result Variable' containment reference feature.

### EXPRESSION_IN_OCL__PARAMETER_VARIABLE

    static final EReference EXPRESSION_IN_OCL__PARAMETER_VARIABLE

  The meta object literal for the 'Parameter Variable' containment reference list feature.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.